org.apache.nutch.indexer

## Interface IndexWriter

- All Superinterfaces:
    Configurable, Pluggable
  All Known Implementing Classes:
    ElasticIndexWriter, HBaseIndexWriter, SolrIndexWriter

      public interface IndexWriter
      extends Configurable, Pluggable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `X_POINT_ID` The name of the extension point.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `void` | `delete(java.lang.String key)`
    `java.lang.String` | `describe()` Returns a String describing the IndexWriter instance and the specific parameters it can take
    `void` | `open(Configuration job)`
    `void` | `update(NutchDocument doc)`
    `void` | `write(NutchDocument doc)`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final java.lang.String X_POINT_ID

      The name of the extension point.

  - ### Method Detail

    - #### open

          void open(Configuration job)
             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          void write(NutchDocument doc)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### delete

          void delete(java.lang.String key)
               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### update

          void update(NutchDocument doc)
               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### commit

          void commit()
               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### describe

          java.lang.String describe()

      Returns a String describing the IndexWriter instance and the specific parameters it can take

Copyright © 2019 The Apache Software Foundation